2.4.4-20180904-1004 crash, You MUST recompile PHP with a larger value of FD_SETSIZE



  • Hello,

    My Supermicro C3558 system crashed with the following,

    Crash report begins.  Anonymous machine information:
    
    amd64
    11.2-RELEASE-p2
    FreeBSD 11.2-RELEASE-p2 #109 b0703dcab3c(RELENG_2_4_4): Tue Sep  4 10:05:18 EDT 2018     root@buildbot3:/builder/crossbuild-ce-master/obj/amd64/FWJoMRHc/builder/crossbuild-ce-master/pfSense/tmp/FreeBSD-src/sys/pfSense
    
    Crash report details:
    
    PHP Errors:
    [13-Sep-2018 17:49:37 Asia/Kolkata] PHP Warning:  stream_select(): You MUST recompile PHP with a larger value of FD_SETSIZE.
    It is set to 2048, but you have descriptors numbered at least as high as 2161.
     --enable-fd-setsize=3072 is recommended, but you may want to set it
    to equal the maximum number of open files supported by your system,
    in order to avoid seeing this error again at a later date. in /etc/inc/pkg-utils.inc on line 150
    [13-Sep-2018 17:50:37 Asia/Kolkata] PHP Warning:  stream_select(): You MUST recompile PHP with a larger value of FD_SETSIZE.
    It is set to 2048, but you have descriptors numbered at least as high as 2161.
     --enable-fd-setsize=3072 is recommended, but you may want to set it
    to equal the maximum number of open files supported by your system,
    in order to avoid seeing this error again at a later date. in /etc/inc/pkg-utils.inc on line 150
    [13-Sep-2018 17:51:37 Asia/Kolkata] PHP Warning:  stream_select(): You MUST recompile PHP with a larger value of FD_SETSIZE.
    It is set to 2048, but you have descriptors numbered at least as high as 2161.
     --enable-fd-setsize=3072 is recommended, but you may want to set it
    to equal the maximum number of open files supported by your system,
    in order to avoid seeing this error again at a later date. in /etc/inc/pkg-utils.inc on line 150
    [13-Sep-2018 17:52:38 Asia/Kolkata] PHP Warning:  stream_select(): You MUST recompile PHP with a larger value of FD_SETSIZE.
    It is set to 2048, but you have descriptors numbered at least as high as 2161.
     --enable-fd-setsize=3072 is recommended, but you may want to set it
    to equal the maximum number of open files supported by your system,
    in order to avoid seeing this error again at a later date. in /etc/inc/pkg-utils.inc on line 150
    [13-Sep-2018 17:53:38 Asia/Kolkata] PHP Warning:  stream_select(): You MUST recompile PHP with a larger value of FD_SETSIZE.
    It is set to 2048, but you have descriptors numbered at least as high as 2161.
     --enable-fd-setsize=3072 is recommended, but you may want to set it
    to equal the maximum number of open files supported by your system,
    in order to avoid seeing this error again at a later date. in /etc/inc/pkg-utils.inc on line 150
    [13-Sep-2018 17:54:38 Asia/Kolkata] PHP Warning:  stream_select(): You MUST recompile PHP with a larger value of FD_SETSIZE.
    It is set to 2048, but you have descriptors numbered at least as high as 2161.
     --enable-fd-setsize=3072 is recommended, but you may want to set it
    to equal the maximum number of open files supported by your system,
    in order to avoid seeing this error again at a later date. in /etc/inc/pkg-utils.inc on line 150
    [13-Sep-2018 17:55:38 Asia/Kolkata] PHP Warning:  stream_select(): You MUST recompile PHP with a larger value of FD_SETSIZE.
    It is set to 2048, but you have descriptors numbered at least as high as 2161.
     --enable-fd-setsize=3072 is recommended, but you may want to set it
    to equal the maximum number of open files supported by your system,
    in order to avoid seeing this error again at a later date. in /etc/inc/pkg-utils.inc on line 150
    [13-Sep-2018 17:56:38 Asia/Kolkata] PHP Warning:  stream_select(): You MUST recompile PHP with a larger value of FD_SETSIZE.
    It is set to 2048, but you have descriptors numbered at least as high as 2161.
     --enable-fd-setsize=3072 is recommended, but you may want to set it
    to equal the maximum number of open files supported by your system,
    in order to avoid seeing this error again at a later date. in /etc/inc/pkg-utils.inc on line 150
    [13-Sep-2018 17:57:38 Asia/Kolkata] PHP Warning:  stream_select(): You MUST recompile PHP with a larger value of FD_SETSIZE.
    It is set to 2048, but you have descriptors numbered at least as high as 2161.
     --enable-fd-setsize=3072 is recommended, but you may want to set it
    to equal the maximum number of open files supported by your system,
    in order to avoid seeing this error again at a later date. in /etc/inc/pkg-utils.inc on line 150
    
    
    No FreeBSD crash data found.
    

  • Netgate Administrator

    This should be fixed in current RC builds:
    https://redmine.pfsense.org/issues/8895

    Steve


Log in to reply